use embedded_graphics::{pixelcolor::BinaryColor, prelude::*};
use epd_waveshare::epd1in54::{Display1in54, Epd1in54};

pub struct Display {
	//epd: Epd1in54,
	display: Display1in54,
}

impl Display {
	pub fn new() -> Self {
		Self {
			//epd: Epd1in54::new(&mut spi, cs, busy, dc, rst, &mut delay),
			display: Display1in54::default(),
		}
	}

	pub fn update(&self) {
		//self.epd.update_and_display_frame( & mut spi, & self.display.buffer());
	}

	pub fn inner(&self) -> &Display1in54 {
		&self.display
	}

	pub fn inner_mut(&mut self) -> &mut Display1in54 {
		&mut self.display
	}
}
